import request from '@/utils/request'

// 查询自动喷淋灭火系统列表
export function listSprinkler(query) {
  return request({
    url: '/dev/sprinkler/list',
    method: 'get',
    params: query
  })
}

// 查询自动喷淋灭火系统详细
export function getSprinkler(id) {
  return request({
    url: '/dev/sprinkler/' + id,
    method: 'get'
  })
}

// 新增自动喷淋灭火系统
export function addSprinkler(data) {
  return request({
    url: '/dev/sprinkler',
    method: 'post',
    data: data
  })
}

// 修改自动喷淋灭火系统
export function updateSprinkler(data) {
  return request({
    url: '/dev/sprinkler',
    method: 'put',
    data: data
  })
}

// 删除自动喷淋灭火系统
export function delSprinkler(id) {
  return request({
    url: '/dev/sprinkler/' + id,
    method: 'delete'
  })
}
